Package relaxngcc.grammar

# Class ChoiceNameClass

java.lang.Object
relaxngcc.grammar.NameClass
relaxngcc.grammar.ChoiceNameClass

public class ChoiceNameClass extends NameClass

Author:
  Kohsuke Kawaguchi (kk@kohsuke.org)

## Field Summary

Fields
Modifier and Type
Field
Description
`final NameClass`
`nc1`
`final NameClass`
`nc2`

## Constructor Summary

Constructors
Constructor
Description
`ChoiceNameClass(NameClass nc1_, NameClass nc2_)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`apply(NameClassFunction f)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### nc1

public final NameClass nc1

### nc2

public final NameClass nc2

## Constructor Details

### ChoiceNameClass

public ChoiceNameClass(NameClass nc1_, NameClass nc2_)

## Method Details

### apply

public Object apply(NameClassFunction f)

Specified by:
  `apply` in class `NameClass`

### toString

public String toString()

Overrides:
  `toString` in class `Object`